REM MediaPortal Settings
REM ====================
REM Set it to DefaultWide and NOT Alternate Splashscreen, OK
REM Run this Cmd file
REM Rename Titan and copy DefaultWide -> Titan
REM Finally autostart on Windows startup


@ECHO OFF
CLS



REM Set (this Cmd file) source directory root
REM =========================================
SET "WorkDir=%~dp0"



REM Clear the error info string
REM ===========================
SET ERRINFO=



REM Windows version?
REM ================

SET INPUT=
If Exist "%AllUsersProfile%\Application Data\Team MediaPortal\MediaPortal\MediaPortal.xml" SET INPUT=XP
If Exist "%ProgramData%\Team MediaPortal\MediaPortal\MediaPortal.xml" SET INPUT=Win7

IF /I '%INPUT%'=='' (
	SET ERRINFO=Unknown Windows version!
	GOTO Exit
)



IF /I "%INPUT%"=="XP" (
	SET MPData=%AllUsersProfile%\Application Data\Team MediaPortal\MediaPortal
	SET "MPProg=%ProgramFiles%\Team MediaPortal\MediaPortal
)

IF /I "%INPUT%"=="Win7" (
	echo %ProgramFiles(x86)%
	SET INPUT=%ProgramFiles%

	IF NOT "%ProgramFiles(x86)%" == "" (
		SET INPUT=%ProgramFiles(x86)%
		SET INPUT=%INPUT%)
	)

	SET MPData=%AllUsersProfile%\Team MediaPortal\MediaPortal
	SET MPProg=%INPUT%\Team MediaPortal\MediaPortal
)



REM ********** CHANGE THIS SECTION ONLY **********

REM Copy over the skin files
REM ------------------------
Copy /Y "%WorkDir%DefaultWide\*.xml"		"%MPData%\skin\DefaultWide"


REM Copy over the media files
REM -------------------------
Copy /Y "%WorkDir%DefaultWide\media\*.png"	"%MPData%\skin\DefaultWide\Media"
REM Copy /Y "%WorkDir%DefaultWide\media\*.wav"	"%MPData%\skin\DefaultWide\Media"

REM ********** CHANGE THIS SECTION ONLY **********



:Exit

ECHO.
IF "%ERRINFO%"=="" SET ERRINFO=Setup Completed OK
ECHO %ERRINFO%
SET /P INPUT=Press any key:
